From: Boian Bonev <[email-masked]>
Date: Thu, 24 Apr 2025 14:43:24 +0300

I see no reason whatsoever for eudev to ship development files
(usr/share/pkgconfig/udev.pc).

Moving that file to libeudev-dev seems the proper way to go, and adding
"libeudev-dev breaks eudev" to be able to install in the proper order
and "libeudev-dev breaks systemd-dev" for avoiding co-installing
libeudev-dev and systemd-dev. Or maybe it is better to convert the last
one to conflict?

The part that I didn't verify is how the packages that require udev.pc
are declaring that dependency - I am afraid currently it is a side
effect of something else transitively pulling in eudev.

With best regards,
b.